be.fgov.ehealth.timestamping.protocol.v2

## Class TimeStampIdentification

- java.lang.Object
- - be.fgov.ehealth.timestamping.protocol.v2.TimeStampIdentification

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:58:44+01:00",
                 comments="JAXB RI v2.2.11")
      public class TimeStampIdentification
      extends Object
      implements Serializable

  unique identification of the TSBag and response * sequence number of the time stamp response * MMDDYYYY UU:MM of the time stamp response

  Java class for TimeStampIdentification complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TimeStampIdentification">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="sequenceNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="dateTime" type="{http://www.w3.org/2001/XMLSchema}long"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampIdentification()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDateTime()` Gets the value of the dateTime property.
    `String` | `getSequenceNumber()` Gets the value of the sequenceNumber property.
    `void` | `setDateTime(long value)` Sets the value of the dateTime property.
    `void` | `setSequenceNumber(String value)` Sets the value of the sequenceNumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampIdentification

          public TimeStampIdentification()

  - ### Method Detail

    - #### getSequenceNumber

          public String getSequenceNumber()

      Gets the value of the sequenceNumber property.
      Returns:
        possible object is `String`

    - #### setSequenceNumber

          public void setSequenceNumber(String value)

      Sets the value of the sequenceNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDateTime

          public long getDateTime()

      Gets the value of the dateTime property.

    - #### setDateTime

          public void setDateTime(long value)

      Sets the value of the dateTime property.

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.